Package net.shibboleth.idp.plugin.authn.webauthn.admin.impl

# Class ChainingCredentialLabeller

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.admin.impl.ChainingCredentialLabeller

All Implemented Interfaces:
  `BiFunction<EnhancedCredentialRecord,ProfileRequestContext,List<String>>`

public class ChainingCredentialLabeller extends Object implements BiFunction<EnhancedCredentialRecord,ProfileRequestContext,List<String>>
A credential labeller that labels credentials based on a chain of other labellers. All labellers are iterated over to produce the final list of labels.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final List<BiFunction<EnhancedCredentialRecord,ProfileRequestContext,List<String>>>`
`labellers`
The chain of credential labellers to use.

## Constructor Summary

Constructors
Constructor
Description
`ChainingCredentialLabeller(List<BiFunction<EnhancedCredentialRecord,ProfileRequestContext,List<String>>> labellersIn)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`apply(EnhancedCredentialRecord credential, ProfileRequestContext prc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.BiFunction

`andThen`

## Field Details

### labellers

private final List<BiFunction<EnhancedCredentialRecord,ProfileRequestContext,List<String>>> labellers
The chain of credential labellers to use. All are iterated over to produce the final set of labels.

## Constructor Details

### ChainingCredentialLabeller

public ChainingCredentialLabeller(@Nullable @ParameterName(name="labellers") List<BiFunction<EnhancedCredentialRecord,ProfileRequestContext,List<String>>> labellersIn)
Constructor.

Parameters:
  `labellersIn` - The chain of credential labellers to use.

## Method Details

### apply

public List<String> apply(EnhancedCredentialRecord credential, ProfileRequestContext prc)

Specified by:
  `apply` in interface `BiFunction<EnhancedCredentialRecord,ProfileRequestContext,List<String>>`